using System.Collections.Generic;

namespace ttrss_co_client.ttrss.datastructures
{
    public class Feed
    {
        public int id { get; set; }
        public Uri feed_url { get; set; }
        public string title { get; set; }
        public int unread { get; set; }
        public bool has_icon { get; set; }
        public int cat_id { get; set; }
        //TODO: custom converter for unix timestamps
        ///<summary>unix timestamp, see <see cref="TimeStamp" /></summary>
        public int last_updated { get; set; }
        public DateTime? TimeStamp 
        { 
            get 
            {
                return  new DateTime(1970,1,1,0,0,0,0,System.DateTimeKind.Utc)
                    .AddSeconds( last_updated ).ToLocalTime();
            }
        }
        public int order_id { get; set; }
    }
}